# vim: syntax=spec

# git_dir_name returns repository name derived from remote Git repository URL
Name:       ani-cli

# git_dir_version returns version based on commit and tag history of the Git project
Version:    4.10.0

# This can be useful later for adding downstream patches
Release:    1%{?dist}

Summary:    A cli to browse and watch anime.

License:   GPLv3

# Home page of the project. Can also point to the public Git repository page.
URL:        https://github.com/pystardust/ani-cli

# Detailed information about the source Git repository and the source commit
# for the created rpm package
VCS:        git+https://github.com/pystardust/ani-cli#a67e23f82e08e6f17b970dcec92794663211ad4f:

# git_dir_pack macro places the repository content (the source files) into a tarball
# and returns its filename. The tarball will be used to build the rpm.
Source:     ani-cli-a67e23f8.tar.gz

Requires: grep, sed, curl, (mpv or vlc), aria2, fzf, (ffmpeg or ffmpeg-free)
Suggests: syncplay, patch, yt-dlp, rofi
# Suggests: ani-skip -> no packaging effort whatosever
Conflicts: ani-cli-full

BuildArch: noarch

# More detailed description of the package
%description
A cli to browse and watch anime (alone AND with friends). This tool scrapes the site https://allanime.site

# https://superuser.com/questions/1091529/rpm-build-error-empty-files-file-debugfiles-list
%global debug_package %{nil}

# The following four sections already describe the rpm build process itself.
# prep will extract the tarball defined as Source above and descend into it.
%prep
%setup -T -b 0 -q -n ani-cli

# This will invoke `make` command in the directory with the extracted sources.
%build
chmod +x "ani-cli"

# Copying script and manpage
%install
mkdir -p "%{buildroot}/usr/bin"
mkdir -p "%{buildroot}/usr/share/man/man1"
cp "ani-cli.1" "%{buildroot}/usr/share/man/man1/"
cp "ani-cli" "%{buildroot}/usr/bin/"
# This lists all the files that are included in the rpm package and that
# are going to be installed into target system where the rpm is installed.
%files
/usr/share/man/man1/ani-cli.1*
/usr/bin/ani-cli

# Finally, changes from the latest release of your application are generated from
# your project's Git history. It will be empty until you make first annotated Git tag.
%changelog
* Sun Apr 27 2025 Derisis13 <email.felhasznalasra@gmail.com> 4.10.0-1
- fix: single selection for episode (#1492)
- feat: add possibility to display rofi menus as normal windows (#1481)
- fix: range selection (#1487)
- fix: Fix Downloading on iSH (#1473)
- docs: fix dead links to dependencies (#1480)

* Sun Jan 19 2025 Derisis13 <email.felhasznalasra@gmail.com> 4.9.6-1
- fix: avoids reencoding the + while running time_until_next_ep (#1445)

* Thu Oct 31 2024 Derisis13 <email.felhasznalasra@gmail.com> 4.9.5-1
- fix: remove hostname from uname output in OS detection (#1440)
- fix: Error logic and updated message and mis-escaped quotes (#1434)

* Thu Oct 17 2024 Derisis13 <email.felhasznalasra@gmail.com> 4.9.3-1
- refactor: allanime url update + re-adding the wixmp provider (#1410)
- docs: add fastanime to homies (#1438)
- docs: add Curd to homies (#1437)

* Sun Sep 29 2024 Derisis13 <email.felhasznalasra@gmail.com> 4.9.2-1
- fix: where_mpv checks for mpv than ANI_CLI_PLAYER (#1424)
- feat: added flag for mpv as flatpak (#1411)
- chore: fix ani-cli ci oopsie caused by completion (#1420)
- feat: tab-completion for zsh and bash (#1419)
- feat: initial logger support (#1370)
- fix: support using non brew iina as a player on macos (#1398)

* Sun Aug 25 2024 Derisis13 <email.felhasznalasra@gmail.com> 4.8.12-1
- fix: fix issue where a non-working Alt link gets used when on iSH (#1403)
- fix: steamdeck kernel detection (#1383)

* Sat Jun 29 2024 Derisis13 <email.felhasznalasra@gmail.com> 4.8.10-1
- fix: allow using --select-nth with --continue (#1366)
- fix: update title in history file (#1360)
- refactor: Remove Dead Wixmp Provider (#1346)
- feat: exit after play (#1338)
- fix: ani-skip not working in continue (#1317)

* Fri Apr 12 2024 Derisis13 <email.felhasznalasra@gmail.com> 4.8.5-1
- docs: removed duplicate entries from manpage (#1314)
- fix: adapt to ani-skip update (#1313)
- refactor: remove accidental awk and add ci-check for it (#1309)
- feat: countdown to next episode (#1301)
- fix: no-detach detatching (#1274)
- fix: making this work on OpenBS with non-GNU tools (#1296)

* Wed Feb 07 2024 Derisis13 <email.felhasznalasra@gmail.com> 4.8.0-1
- chore: bump version `v4.7.6` -> `v4.8.0` (#1277)
- docs: simplify docs (#1273)
- feat: no-detach (#1264)
- fix: correctly closes escape sequence in message 'Checking dependencies…'
(#1272)

* Tue Jan 30 2024 Derisis13 <email.felhasznalasra@gmail.com> 4.7.4-1
- fix: Steam deck installation and .desktop fix (#1269)
- feat: script speed improvement on windows (#1262)
- feat: add --skip-title <title> (#1253)
- fix: removed last --cipher argument (#1252)
- fix: curl in gitbash doesn't support `--cipher` (#1244)

* Thu Dec 07 2023 Derisis13 <email.felhasznalasra@gmail.com> 4.7.0-1
- feat: added support for ani-skip to skip episode intros (#1231)
- docs: Update README.md to use now fixed FFmpeg (#1230)
- fix: multi-selection support (#1224)
- docs: Added android 14 fix in readme prior to #1206 (#1227)
- test: add nix dev shell env (#1218)
- test: bump codeowners file (#1207)

* Tue Aug 15 2023 Derisis13 <email.felhasznalasra@gmail.com> 4.6.1-1
- refactor: extra space in help (#1200)

* Sat Aug 12 2023 Derisis13 <email.felhasznalasra@gmail.com> 4.6.0-1
- fix: tmp outage (#1196) (#1198)
- refactor: remove -N flag in favor of -S + -e detection (#1193)
- fix: detect wsl2 on windows installs (#1190)
- feat: proper non-interactive-mechanic (#1189)

* Fri Aug 04 2023 Derisis13 <email.felhasznalasra@gmail.com> 4.5.4-1
- feat: add rofi flag (#1186)
- refactor: mktemp POSIX violation (#1184)

* Sun Jul 30 2023 Derisis13 <email.felhasznalasra@gmail.com> 4.5.2-1
- fix: ani-cli cache_dir via mktemp (#1178, #1173) (#1182)

* Wed Jul 26 2023 Derisis13 <email.felhasznalasra@gmail.com> 4.5.1-1
- fix: issue #1177 (#1180)

* Tue Jul 18 2023 Derisis13 <email.felhasznalasra@gmail.com> 4.5.0-1
- fix: hex decryption (#1171)
- refactor: hls Decreasing the number will make download slower but stable.
(#1160)
- feat: refactor code and optional hls script (#1155)

* Fri Jun 09 2023 Derisis13 <email.felhasznalasra@gmail.com> 4.4.3-1
- fix: nl for ep number <10 (#1145)

* Thu Jun 08 2023 Derisis13 <email.felhasznalasra@gmail.com> 4.4.2-1
- fix: list number bug on mac (#1144)

* Tue Jun 06 2023 Derisis13 <email.felhasznalasra@gmail.com> 4.4.1-1
- feat: new providers + fix xxd posix compliance (#1142)

* Mon Jun 05 2023 Derisis13 <email.felhasznalasra@gmail.com> 4.4.0-1
- fix: allanime scraping (#1139)

* Mon May 29 2023 Derisis13 <email.felhasznalasra@gmail.com> 4.3.1-1
- refactor: disable aria2 rpc (#1135)

* Tue May 16 2023 Derisis13 <email.felhasznalasra@gmail.com> 4.3.0-1
- fix: account for syncplay in either default location or windows path (#1125)
- refactor: various fixes (#1119)
- fix: set executable bit

* Thu May 11 2023 Derisis13 <email.felhasznalasra@gmail.com> 4.2.7-1
- fix: ios download support (#1112)
- fix: some m3u8 downloads were broken (#1109)
- feat: add non-interactive flag to disable menu (#1107)
- feat: add iOS support to ani-cli (#1105)

* Fri Apr 28 2023 Derisis13 <email.felhasznalasra@gmail.com> 4.2.3-1
- fix: history selection will be read from histfile again (#1101)

* Fri Apr 21 2023 Derisis13 <email.felhasznalasra@gmail.com> 4.2.2-1
- style: consistent 4 space indentation + shfmt (#1086)

* Thu Mar 16 2023 Derisis13 <email.felhasznalasra@gmail.com> 4.2.1-1
- fix: account for point episodes having multiple digits (e.g. 124.125) (#1066)

* Mon Mar 13 2023 Derisis13 <email.felhasznalasra@gmail.com> 4.2.0-1
- fix: allanime graphql (#1054)
- fix: url change to allanime.to (#1045)

* Thu Feb 23 2023 Derisis13 <email.felhasznalasra@gmail.com> 4.1.3-1
- fix: missing linebreak in quality-miss printf (#1043)
- fix: remove --tls-max 1.2 bc of windows (#1042)
- fix: connection error (#1039) (#1040)
- fix: allanime url, curl and referers
- fix: previous,next,replay bug (#1028)
- fix: range bug & executable bit (#1021)
- fix: menu ux, ascending episodes (#1019)
- feat: change quality interactively (#1016)

* Fri Feb 03 2023 Derisis13 <email.felhasznalasra@gmail.com> 4.0.5-1
- feat: add back -D for deleting history (#1013)
- fix: remove shuf dependency (#1012)
- feat: aria2 continue interrupted downloads (#1008)

* Fri Jan 27 2023 Derisis13 <email.felhasznalasra@gmail.com> 4.0.3-1
- fix: cut posix compliance (#993)
- literal . in grep (#990)
- refactor: histroy -> history (#987)
- fix: episodes other than .5 (such as .9)
- fix: .5 episodes refactor: grep by line number for accuracy chore: v4.0.0 ->

* Tue Jan 24 2023 Derisis13 <email.felhasznalasra@gmail.com> 4.0.0-1
- chore: remove old hist-transition
- chore: v4.0 -> v4.0.0
- docs: expand on PR template
- docs: manpage
- docs: readme update
- feat: add line number to menu
- feat: if terminal then external menu 0, else 1
- steamdeck readme stuff (#976)
- feat: range selection
- feat: option for dub mode
- fix: die when optarg is missing from `-q` or `-e`
- feat: history
- docs: add back zenith as maintainer
- feat: use external menu for query
- fix: -A -> -U in wget
- feat: vlc player support for all OS
- feat: better player support
- :shrug: <- don't do commits like this pls
- feat: self-update
- feat: episode arg
- feat: added dependency checker
- fix: all links are now printed in debug mode
- feat: `--version` and `--help` now work
- feat: argument parsing
- feat: script parameters can be set with env-vars
- docs: updated PR template (might change further)
- fix: select quality returns multiple urls
- feat: window titles
- feat: downloads, fix : .5 episode streaming
- chore: removed shellcheck exceptions
- feat: mpv and untested vlc/syncplay/download
- feat: leaner quality selection by @71zenith
- feat: quality selection works
- fix: next/previous work for non-integer episodes
- chore: made all sed uniform with `|` separator
- feat: gogoanime resolution parsing
- chore: GPL3 preabmle
- feat: `launcher` and `nth` prompt-message
- feat: loop control logic
- feat: nth and external launcher
- resourced to allanime
- docs: fix manpage (#940)

* Thu Dec 15 2022 Derisis13 <email.felhasznalasra@gmail.com> 3.4.7-1
- fix: added directory check for download  (#909)
- sheeesh: No more dependencies! With `tea/cli` (#937)
- fix: drop gnu style long options on base64 (#931)

* Sun Nov 13 2022 Derisis13 <email.felhasznalasra@gmail.com> 3.4.5-1
- fix: api/live -> api/cW9 (#922)

* Thu Nov 03 2022 Derisis13 <email.felhasznalasra@gmail.com> 3.4.4-1
- fix: grep error when selection_id starts with '-' (#920)

* Thu Oct 20 2022 Derisis13 <email.felhasznalasra@gmail.com> 3.4.3-1
- fix: changed provider priorities (#913)
- fix: exit on last ep completion on enter (#917)

* Fri Oct 14 2022 Derisis13 <email.felhasznalasra@gmail.com> 3.4.2-1
- fix: search gogoanime with updated url (#912)

* Tue Sep 20 2022 Derisis13 <email.felhasznalasra@gmail.com> 3.4.1-1
- fix: -h exits with exit code 0 (#894)

* Mon Sep 12 2022 Derisis13 <email.felhasznalasra@gmail.com> 3.4.0-1
- fix: gogo proxy change (#883)
- fix: redirect stdout for syncplay (#880)

* Tue Aug 16 2022 Derisis13 <email.felhasznalasra@gmail.com> 3.3.3-1
- fix: reduce axel connections 30 -> 10 (#867)
- docs: new homie (#866)
- docs: new homie (#863)

* Sat Aug 06 2022 Derisis13 <email.felhasznalasra@gmail.com> 3.3.2-1
- docs: lobster homie & retired maintainers (#858)
- fix: double search (#846)

* Mon Jul 25 2022 Derisis13 <email.felhasznalasra@gmail.com> 3.3.1-1
- fix: playing on android (#839)
- feat:onefile (#829)
- feat: UX (fzf + null input) (#823)
- Chore: fix
- choke:created files accidently
- feat:provider name
- choke: aria2c -> axel
- feat: axel instead of aria2c for downloading (#816)
- man page (#781)
- fix: menu with one anime in history (#806)
- fix: vlc redirect output to /dev/null (#808)

* Mon Jun 27 2022 Derisis13 <email.felhasznalasra@gmail.com> 3.2.1-1
(none)

* Wed Jun 22 2022 Derisis13 <email.felhasznalasra@gmail.com> 3.2-1
(none)

* Mon Jul 25 2022 Derisis13 <email.felhasznalasra@gmail.com> 2.2.0-1
Innitial tag for rpkg
- feat: ani-sync on windows (#700)
- fix: long access times (#712)
- docs: add packaging status section to readme (#707)
- fix: same ep fetching (#708)
- fix: less curl in mp4upload (#705)
- feat: alternate links (#704)
- docs: pull request template (#695)
- feat: ani-sync -s arg (#694)
- fix: exit if cannot connect to internet (#696)
- chore: bump version 2.1.4 -> 2.1.5 (#682)
- fix: obsucre vlc audio problem (#674)
- docs: based installation (#681)
- fix: updated link parsing (#677)
- update keys
- docs: mac os installation (#671)
- fix: revert gogo crypto algo (#670)
- fix: new decryption algorithm (#664)
- feat: m3u8 quality parsing (#638)
- docs: shout out the homies (#657)
- feat: non-range under indexing (#660)
- feat: dynamic encrypt keys parsing (#653)
- Updated Enc Keys
- fix: new encryption keys(#644)
- docs: more welcoming contributing.md(#632)
- docs: windows bad decrypt bug (#627)
- docs: minor issue template and readme fix (#626)
- docs: fixed bug in bug report template
- docs :update termux instructions
- refactor: move play-episode to separate function (#613)
- feat: transitionary tool for updating history file (#614)
- fix: comparison with null returned PID (#586)
- feat: everything (V2) (#584)
- Fix: gogo. don't resist. (#601)
- fix:pass shellcheck
- fix: add ffmpeg as m3u8 downloader
- feat: trackma tracker support
- fix:episode existance, version bump
- fix:cleanup
- fix:selecting first when -d/-p is used
- *SC ignoring 2059 again
- fix:cryptography issue
- feat: rapid resume (#573)
- fix: f u gogo (#563)
- docs: update android instructions (#559)
- fix: zsh compatiblity (#554)
- refactor: show quality options in interactively (#558)
- docs: windows. discourage non-gitbash usage (#556)
- docs: version warning macOS
- fix: (#542) and (#515)
- docs: new gif
- docs: Updating termux installation, now works with both mpv and vlc(-v option)
(#534)
- chore: bump version v1.7.6 -> v1.8.0 (#535)
- docs: emove enhancement template (#525)
- fix: ani-cli not able to create history file if history dir doesnt exist
(#527)
- docs: ura is back
- docs: removed aur support
- fix: remove quote to prevent waiting for literal space
- fix: q in menu exit with error code 0
- fix: search_history will no longer die in vain
- style: remove unnecessary line
- chore: bump version from 1.7.0 to 1.7.1
- Whitespace fixes
- Fixed a bug where an error was invalidly displayed in `search_history`
- fix:    * loop in episode selection         * fix removing tmp logfile
- fix: loop in anime selection
- Fixed quotes with more regards to field splitting then last time
- removed empty lines form functions
- removed invalid menu option from `episode_selection`
- removed trailing tab on line 616
- Merged changes by @71Zenith and resolved conflicts
- Merge branch 'master' of https://github.com/pystardust/ani-cli
- Updated CONTRIBUTING.md
- style,fix:  * add proper removal of tmp logfile             * add printf
instead of echo             * remove unnecessary quoting
- `echo` no more! Sayonara!
- added missing `do` on line 398
- Indentations to tabs and other whitespace fixes
- Moving order to remove ambiguity
- docs: Update Windows Installation docs and #514 fix
- refactor:       * add functions to avoid redundancy                 *
formatting                 * add removing of temp logfile
- style:        * apply gplv3 header    * variable declaration grouped together
* labels to all caps    * convert one condition if-s to oneliners       * shift
$((OPTIND - 1)) group together with optarg
- chore: bump version v1.6.7 -> v1.7.0
- docs: added maintainer advice section (#506)
- feat: discord rich presence title (#505)
- docs: another readme iteration (#501)
- fix: non-interactive selection (#494)
- fix: -1 range indexing (#490)
- docs: new install instructions (#492)
- docs: new readme head (#485)
- docs: minor readme fix (#481)
- feat: interactive quality selection
- Merge branch 'master' into master
- chore: bump version v1.6.3 -> v1.6.4
- fix: critical -c menu bug
- Update README.md
- docs: homebrew installation for Mac (#476)
- fix: Ani-cli breaks pywal set terminal colors (#475)
- Update README.md
- Update README.md
- feat: added exit option in search menu (#462)
- feat: -1 for last ep in range (#471)
- docs: expand on contribution guidelines (#473)
- docs: windows scoop install instructions (#466)
- docs: adding test idea for old anime. (#467)
- chore: bump version v1.5.6 -> v1.6.0
- feat: disable problematic -e
- docs: tweaked termux instructions
- updated termux install documentation
- fix: -e not taking multiple arguments
- docs: fix windows instructions
- fix: broken download and bad window title
- fix: mac grep regex bug (#440)
- fix: arch installation fix fix
- fix: range prompt (#437)
- docs: arch installation fix (#436)
- fix:  allowing multiple variables to player args (#424)
- fix: single episode anime not working (#435)
- docs: recommend vlc to windows users
- docs: fixed mac instructions
- docs: install instructions for Linux (#434)
- feat: new install process (#431)
- chore: bump version v1.4.4 -> v1.4.7 retroactively
- fix: small autoplay bug
- fix : Half Episodes not working
- Fix half episode bug
- Fixed a bug introduced in #d5e5073 which would enable non-interactive mode
when an anime is passed as argument
- docs: formatting mishap
- docs: add Derisis13 as maintainer
- docs: -a was missing
- refactor: trailing whitespace
- docs: trailing whitespace
- test: check for trailing whitespace
- docs: readme refactor (#423)
- feat: non-interactive usage (#408)
- docs: status update
- docs: updated contribution guidelines (#421)
- docs: bug report anime field
- chore: version bump v1.4.0 -> v1.4.1
- feat: play range of episodes (#415)
- docs: linted templates (#419)
- chore: version bump v1.3.4 -> v1.4.0
- docs: fix #387 and slight tweaks
- feat: replacing jq with regex (#414)
- docs: (templates) added default priority labels
- chore: bump version 1.3.2 -> 1.3.3
- test: full shellcheck compliance
- docs: templates based on example issues (#411)
- fix: makefile for termux (#410)
- docs: more issue templates
- fix: menu alternating was hardcoded (#405)
- fix: downloading broke 2 commits ago (#406)
- chore: version bump v1.2.3 -> v1.3.0
- Update synopsis
- Update synopsis
- Merge branch 'master' into master
- Added the option to pass arguments to specified player
- fix: episode 0 bug
- shellcheck compliance
- refactor: delete obsolete .gitattributes file
- Fix shellcheck conflicts attempt #2
- docs: changed template description
- Fix shellcheck conflicts
- docs: removed duplicate template
- docs: added bug report template
- Now using variable first_ep_number to indicate first episode either 0 or 1,
and not "1"
- test: removed dead link check
- chore: bump version
- fix: Termux Installation  (#393)
- fix: search and menu (#396)
- docs: bumped status
- chore: Bump v1.1.3 -> v1.2.0
- refactor: consistent output, safety checks, maintainability (#371)
- feat: Single Makefile for all Platforms (#381)
- fixed app closed on invalid option in ep interface (#384)
- Added the following (#375)
- Revert "Merge branch 'android-termux' into master"
- Merge branch 'android-termux' into master
- fixed interface not showing (#378)
- Webhook test
- Pystardust is back
- Update README.md
- Add Android Support to the README (#373)
- Update README.md (#374)
- changed umber to number in first comment (#372)
- updated to latest (#370)
- Typo (#368)
- Reduce scope, expand Linting (#367)
- Wrong branch, oops
- Updated Readme to reflect previous commit
- Version Bump
- Improve UX and slim down (#352)
- Merge pull request #359 from iamchokerman/master
- fixed issue #351 + slightly modified the colors
- Merge branch 'pystardust:android-termux' into android-termux
- Update README.md
- Update Makefile
- Removed -i optarg
- Update ani-cli
- Update ani-cli
- updated to specify iina support with -i
- I added guide for termux installation
- I added installation for termux
- merging with latest
- 1.0 -> 1.0.0
- Should be able to use mpv derivatives again (e.g. iina)
- set version to only major and minor
- set current version to 1.0.0
- add quotes to variables
- adding version number for better reference
- Add version number
- Populated the Testing section and added polish
- Finally a good Contributing.md
- Discord is nice and full
- Made openssl a requirement, part 2
- Made openssl a requirement, part 1
- added jq as dependency again
- removed jq as dependency
- added jq as dependency check
- pass shellcheck 2
- pass shellcheck
- switched to vidcdn
- Big brain marketing
- Update README.md
- Official support server
- Added a simple check for a null $video_url
- Update README.md
- Actually not yet. Gotta be careful
- Link to animdl
- Merge pull request #308 from CoolnsX/master
- Status update
- remove unnecessary functions and variables
- pass shellcheck
- fixed ani-cli
- fixed bug
- Merge pull request #299 from CarlosLoboxyz/master
- Appease the linter
- readme consistency changes
- Merge pull request #305 from CoolnsX/master
- Update README.md
- added referer link
- fixed quality problem, sbplay
- Revert "fix 1 for sbplay"
- fix 1 for sbplay
- We actually kinda need PR checking
- scraping sbplay for download/streaming
- scraping sbplay for downloading & streaming
- Feature add: update script
- Update ani-cli
- Documenting -p
- Update README.md
- Appease the linter
- Merge branch 'master' into bloated-ani-cli
- Merge pull request #290 from CoolnsX/master
- Conformity exceptions for optional checks
- Conform to optional checks
- Enable optional checks
- Ignoring SC1087 and SC2059 for now
- Ignoring SC1087 and SC2059 for now
- Leveraged grep harder (SC2143)
- Update synopsis
- Merge branch 'master' into qa2
- Fixed remaining SC2086 instances
- Fixed a bunch of SC2059 and SC2086 instances
- on push checks are enough
- fixed some warnings
- Update master.yml
- Create master.yml
- Fix Makefile and remove update checking
- Replace curl with aria2
- fixed downloading and increased speed
- Fix scraping
- fix checking if server is found
- Merge branch 'master' into qa
- dependency check for optional dependencies
- Update README.md
- fix: interrupt signal didn't quit
- replace ffmpeg with curl
- Adding CoolnsX as maintainer
- sussy little baka uwu
- kill previous instance of video player
- Merge pull request #259 from Kungger-git/master
- sort getopts
- Sort helptext and getopts
- use kill instead of pkill
- Update kill PID statement
- Stop current episode from continuously playing when switching between
episodes.
- Output error message for animes with no uploaded episodes yet
- Update README.md
- Check update: supress git output
- unlink when uninstalling
- Force symlink when installing
- Dry $player_fn
- Decrease curl calls
- Remove unused functions
- Merge pull request #249 from Malertach/fix_url_checks
- Normalized indentation
- fix: url checks checking not an url
- Merge pull request #244 from RaynardGerraldo/master
- Merge pull request #248 from Malertach/master
- Fix creating dirs with space in them
- Merge branch 'master' into download-dir-specification
- fix: only update history when video could be played
- Fix bug on searching anime with special character
- Update Makefile
- Fix checking for paths with space character
- Fix #242
- Merge branch 'master' into symbolic_makefile
- Remove unnecessary dependency
- Update README.md
- Corrected Readme
- Moved shebang back to line 1
- Updated readme to reflect previous merge
- Merge branch 'master' into master
- Update README.md
- Merge pull request #143 from drabart/master
- Always preview before committing
- Update README.md
- Merge branch 'master' into master
- Update README.md
- Nohup is here :)
- Added Dink4n as Maintainer
- Remove unnecessary debug messages
- Replace setsid with nohup
- Added RayGL as an official maintainer
- Link to disclaimer at the bottom of the readme
- Create disclaimer.md
- Merge pull request #3 from pystardust/master
- Resolved merge conflicts and tidied up half episodes (still kinda messy)
- Fix color formatting on some status messages
- Merge pull request #236 from RaynardGerraldo/master
- Inexplicit status section
- Badges enable shorter status section
- Added Badges
- List dependencies seperate from installation
- Updated get_video_quality and get_links function to work with the new update,
selecting the video quality is now working again, removed debugging echos
- Updated installation instructions and status
- Updated get_video_quality and get_links to work with the new update, selecting
the video quality is now working again
- Various readme changes
- Update README.md
- Merge pull request #190 from truboxl/patch-1
- Move dep_ch after options are fully parsed
- Status Update
- Fix regex bug for direct video links
- Removed unused variable
- Fix regex bug for gogoplay1 link, adding error message for vlc, now using
status code to check the error for both mpv and vlc
- Fix regex bug for gogoplay1 link, adding error message for vlc, now using
status code to check the error for both mpv and vlc
- Allow download without install media player
- Markdown being mean
- Condensed Status
- Post merge adjustment
- Post merge status update
- Merge pull request #209 from RaynardGerraldo/master
- Remove lynx dependency, using wget instead
- Grammar
- Formatting
- Status Update
- Correct error message output for mpv
- Video not playing and downloading fix,currently using gogoplay1 url(video_url)
+ episode id to get the actual video links(vidstreamingcdn) and using it to
play/download the videos.
- Resolved merge conflict by incorporating both suggestions.
- Merge branch 'master' into master
- Cleanup stuff
- Fix base_url
- Merge pull request #197 from MitchMarq42/patch-1
- Updated to current version of original branch
- Auto-resolve $base_url
- Adds vlc support
- Update ani-cli
- Gogoanime changed to www1
- Update ani-cli
- Update ani-cli
- Update ani-cli
- Add files via upload
- cleanup
- added same fix to git rev-parse methods
- Included ability to track where original directory is located. Fixed
formatting
- Update ani-cli
- Implemented feature by copy-pasting the code that runs on startup Also
extended the magenta-yellow theme of the "menu" all until the quit option.
- Innitial commit Has fix for issue #139 suggested by @Dink4n
- do not push to remote
- moved update check to after dependency check
- removed unused variable
- Added check for update on start up. Added git to dependencies
- Changed copy for symbolic link
- Change gogoanime domain
- Merge pull request #92 from Derisis13/search-without-exit
- docs: added contribution
- Code cleanup Added and deleted some whitespace and newline characters
- Merge https://github.com/Derisis13/ani-cli into search-without-exit
- Added: clearing terminal when asking for a search query in the loop.
Refactored code: moved the open_episode statement outside of the switch branches
and added a continue to the anime search branch.
- On keypress navigation is now optional
- Merge branch 'master' of https://github.com/pystardust/ani-cli
- feat: added option for dub
- New delete history option. (#91)
- fix: download feature (#35)
- fixed out of range ep loading
- Created functions check_input, append_history and open_selection for duplicate
code
- Fixed issue: episode numbers not registering correctly Also, multi-episode
selecton is now possible after in-loop searching
- Fixed bug: Launch querry overwrites the querry in the main loop Fixed bug:
Searches from the main loop are not added to the history
- Added flag for specifying download directory
- Added the possibility to search for another anime in the script's main loop.
Now you don't need to relaunch it to start watching a different series.
- docs: clean up readme (#76)
- filter next/previous options for first and last episode
- Merge pull request #63 from HumanMan007/ova-autoselect
- Merge pull request #58 from FayneAldan/master
- Fix if statement for skipping selection
- updated makefile for easier installation
- Add skipping over episode selection on single episodes
- Add LF line endings to Git Attributes
- Previous/next episode menu works on keypresses
- docs: info regarding windows branch
- style: fixing spaces to tabs
- Merge pull request #46 from Dink4n/select_video_quality
- minor changes
- Update Documentation
- fix clearing the screen
- Get best/worst possible video quality
- Fixed pasting error
- Added Makefile
- Update help page
- Initial commit
- fix: referer header
- fix: header required
- add option (r) to replay current episode
- fix: bypass captcha! thanks to fork https://github.com/Dink4n/ani-cli
- NOT WORKING
- refactor: check for valid episode number
- Merge pull request #18 from HACKER097/master
- refactor: bashism
- Update ani-cli
- Reset shell color when exiting via keyboard interrupt
- feat: continue downloads
- refactor: modular code
- Updated README.md
- minor tweaks
- replaced awk and cut with sed
- replaced json with tsv
- feat: episode count to continue where we left off
- fix: episodes repeating
- feat: read query; player selection; download multiple episodes at once
- refactor: error goes to stderr
- check: deps
- feat: download feature
- docs: added comments
- feat:colors
- Update README.md
- Merge branch 'master' of github.com:pystardust/ani-cli
- feat: no more browser :)
- docs: fix typo
- refactor: change of name to ani-cli
- Create LICENSE
- initial commit
